library(readr)
library(tidymodels)


project_folder <- r'{C:\<twoja-ścieżka>\Chapter13\}'

titanic_testing <- read_csv(file.path(project_folder, 'titanic-test.csv'))

# Zdeserializuj wcześniej przeszkolony model
rf_final <- readRDS(file.path(project_folder, r'{R\titanic-model.RDS}'))

# Uzyskaj prognozy modelu dla wejściowej ramki danych
pred <- predict(rf_final, new_data = titanic_testing, type = 'prob')
pred
